Skip to main content
POST
https://enterprise.spacemedia.uk
/
api
/
v1
/
users
Invite User
curl --request POST \
  --url https://enterprise.spacemedia.uk/api/v1/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "new.artist@example.test",
  "roles": [
    "Artist"
  ]
}
'
{
  "data": [
    {
      "id": "9d7046b2-3ab1-4c9d-9bd8-90bbd22b7df2",
      "uuid": "9d7046b2-3ab1-4c9d-9bd8-90bbd22b7df2",
      "organization_id": "2a8d3e82-4a9d-4e33-9d3b-85bb1a93e8d4",
      "organization_uuid": "2a8d3e82-4a9d-4e33-9d3b-85bb1a93e8d4",
      "name": "Maya Chen",
      "full_name": "Maya Chen",
      "first_name": "Maya",
      "last_name": "Chen",
      "email": "maya.chen@example.test",
      "phone": "+442071838750",
      "language": "en",
      "country": "United Kingdom",
      "address": "22 Demo Lane, London",
      "photo": null,
      "profile_photo": null,
      "verified": true,
      "email_verified_at": "2026-04-10T08:15:00+00:00",
      "last_login_at": "2026-04-18T08:45:00+00:00",
      "created_at": "2026-03-20T09:00:00+00:00",
      "updated_at": "2026-04-18T08:45:00+00:00",
      "is_suspended": false,
      "suspended_at": null,
      "invitation_status": "accepted",
      "is_invited": false,
      "roles": [
        {
          "id": "role-admin-demo",
          "uuid": "role-admin-demo",
          "name": "Admin"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.spacemedia.uk/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
string

Use application/json for API responses.

Authorization
string

Bearer access token. Use Bearer <YOUR_ACCESS_TOKEN>.

Body

application/json

The body is of type object.

Response

Success

The response is of type object.